TOUCH(1)

NAZWA
touch - zmienia czas pliku

SKŁADNIA
touch [OPCJA]... PLIK...

OPIS

Zmienia czas dostępu i modyfikacji każdego podanego pliku na czas bieżący.

Jeśli podany PLIK nie istnieje, tworzony jest jako pusty, chyba że użyto opcji -c lub -h.

Jeśli podany PLIK wynosi -, to jest traktowany w sposób specjalny i powoduje zmianę czasów pliku związanego ze standardowym wyjściem.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a  zmienia wyłącznie czas dostępu

-c, --no-create
    nie tworzy żadnych plików

-d, --date=ŁAŃCUCH
    przetwarza ŁAŃCUCH i używa go zamiast czasu bieżącego

-f  (ignorowane)

-h, --no-dereference
    działa na dowiązaniach symbolicznych zamiast na plikach, które one wskazują (użyteczne tylko w systemach, które potrafią zmienić czasy dowiązania symbolicznego)

-m  zmienia wyłącznie czas modyfikacji

-r, --reference=PLIK
    używa czasów danego PLIKU zamiast czasu bieżącego

-t CZAS
    używa [[CC]RR]MMDDhhmm[.ss] zamiast bieżącego czasu

--time=SŁOWO
    zmienia podany czas: SŁOWO może przyjąć wartość:
     access, atime lub use: równoważne -a;
     modify lub mtime: równoważne -m.

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Proszę zauważyć, że opcje -d i -t przyjmują różne formaty daty i czasu.

ŁAŃCUCH DATY
Łańcuch opcji --date=ŁAŃCUCH może być prawie dowolnym dającym się odczytać przez człowieka (po angielsku!) łańcuchem, takim jak "Sun, 29 Feb 2004 16:21:42 -0800" lub "2004-02-29 16:21:42", a nawet "next Thursday". Łańcuch daty może zawierać odniesienia do daty kalendarzowej, pory dnia, strefy czasowej, dnia tygodnia, względnego czasu, względnej daty i liczb. Łańcuch pusty wskazuje początek dnia. Łańcuch daty jest bardziej złożony niż to wyjaśniono w niniejszym podręczniku, ale jest w pełni opisany w dokumentacji info.

AUTOR
Napisane przez Paula Rubina, Arnolda Robbinsa, Jima Kongdona, Davida MacKenzie i Randyego Smitha.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w touch proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu touch proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2013 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja touch jest dostępna w formacie Texinfo. Jeśli programy info i touch są poprawnie zainstalowane, to polecenie

    info coreutils 'touch invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Adam Byrtek (PTM) <alpha@irc.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.21 oryginału.